"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    MistralAIEmbedding: function() {
        return MistralAIEmbedding;
    },
    MistralAIEmbeddingModelType: function() {
        return MistralAIEmbeddingModelType;
    }
});
const _embeddings = require("@llamaindex/core/embeddings");
const _mistral = require("../llm/mistral.js");
var MistralAIEmbeddingModelType = /*#__PURE__*/ function(MistralAIEmbeddingModelType) {
    MistralAIEmbeddingModelType["MISTRAL_EMBED"] = "mistral-embed";
    return MistralAIEmbeddingModelType;
}({});
class MistralAIEmbedding extends _embeddings.BaseEmbedding {
    model;
    apiKey;
    session;
    constructor(init){
        super();
        this.model = "mistral-embed";
        this.session = new _mistral.MistralAISession(init);
    }
    async getMistralAIEmbedding(input) {
        const client = await this.session.getClient();
        const { data } = await client.embeddings({
            model: this.model,
            input: [
                input
            ]
        });
        return data[0].embedding;
    }
    async getTextEmbedding(text) {
        return this.getMistralAIEmbedding(text);
    }
}
