"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "BaseIndex", {
    enumerable: true,
    get: function() {
        return BaseIndex;
    }
});
const _Settings = require("../Settings.js");
const _IngestionPipeline = require("../ingestion/IngestionPipeline.js");
class BaseIndex {
    serviceContext;
    storageContext;
    docStore;
    indexStore;
    indexStruct;
    constructor(init){
        this.serviceContext = init.serviceContext;
        this.storageContext = init.storageContext;
        this.docStore = init.docStore;
        this.indexStore = init.indexStore;
        this.indexStruct = init.indexStruct;
    }
    /**
   * Insert a document into the index.
   * @param document
   */ async insert(document) {
        const nodes = await (0, _IngestionPipeline.runTransformations)([
            document
        ], [
            (0, _Settings.nodeParserFromSettingsOrContext)(this.serviceContext)
        ]);
        await this.insertNodes(nodes);
        await this.docStore.setDocumentHash(document.id_, document.hash);
    }
}
