"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    DEEPSEEK_MODELS: function() {
        return DEEPSEEK_MODELS;
    },
    DeepSeekLLM: function() {
        return DeepSeekLLM;
    }
});
const _env = require("@llamaindex/env");
const _openai = require("@llamaindex/openai");
const DEEPSEEK_MODELS = {
    "deepseek-coder": {
        contextWindow: 128000
    },
    "deepseek-chat": {
        contextWindow: 128000
    }
};
const DEFAULT_MODEL = "deepseek-coder";
class DeepSeekLLM extends _openai.OpenAI {
    constructor(init){
        const { apiKey = (0, _env.getEnv)("DEEPSEEK_API_KEY"), additionalSessionOptions = {}, model = DEFAULT_MODEL, ...rest } = init ?? {};
        if (!apiKey) {
            throw new Error("Set DeepSeek Key in DEEPSEEK_API_KEY env variable");
        }
        additionalSessionOptions.baseURL = additionalSessionOptions.baseURL ?? "https://api.deepseek.com/v1";
        super({
            apiKey,
            additionalSessionOptions,
            model,
            ...rest
        });
    }
}
