"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "PostgresDocumentStore", {
    enumerable: true,
    get: function() {
        return PostgresDocumentStore;
    }
});
const _global = require("@llamaindex/core/global");
const _docstore = require("@llamaindex/core/storage/doc-store");
const _PostgresKVStore = require("../kvStore/PostgresKVStore.js");
const _KVDocumentStore = require("./KVDocumentStore.js");
const DEFAULT_TABLE_NAME = "llamaindex_doc_store";
class PostgresDocumentStore extends _KVDocumentStore.KVDocumentStore {
    serializer = _docstore.noneSerializer;
    constructor(config){
        const kvStore = new _PostgresKVStore.PostgresKVStore({
            schemaName: config?.schemaName,
            tableName: config?.tableName || DEFAULT_TABLE_NAME,
            ...config && "clientConfig" in config ? {
                clientConfig: config.clientConfig
            } : config && "client" in config ? {
                client: config.client,
                shouldConnect: config.shouldConnect ?? false
            } : {}
        });
        const namespace = config?.namespace || _global.DEFAULT_NAMESPACE;
        super(kvStore, namespace);
    }
}
