import type { MessageContent } from "@llamaindex/core/llms";
import type { BaseNodePostprocessor } from "@llamaindex/core/postprocessor";
import type { NodeWithScore } from "@llamaindex/core/schema";
interface JinaAIRerankerResult {
    index: number;
    document?: {
        text?: string;
    };
    relevance_score: number;
}
export declare class JinaAIReranker implements BaseNodePostprocessor {
    model: string;
    topN?: number;
    apiKey?: string;
    constructor(init?: Partial<JinaAIReranker>);
    rerank(query: string, documents: string[], topN?: number | undefined): Promise<JinaAIRerankerResult[]>;
    postprocessNodes(nodes: NodeWithScore[], query?: MessageContent): Promise<NodeWithScore[]>;
}
export {};
