import type { BaseNode } from "@llamaindex/core/schema";
import { ChromaClient, type ChromaClientParams, type Where, type WhereDocument } from "chromadb";
import { BaseVectorStore, type VectorStoreBaseParams, type VectorStoreQuery, type VectorStoreQueryResult } from "./types.js";
type ChromaDeleteOptions = {
    where?: Where;
    whereDocument?: WhereDocument;
};
type ChromaQueryOptions = {
    whereDocument?: WhereDocument;
};
type Collection = Awaited<ReturnType<ChromaClient["getOrCreateCollection"]>>;
export declare class ChromaVectorStore extends BaseVectorStore {
    storesText: boolean;
    flatMetadata: boolean;
    textKey: string;
    private chromaClient;
    private collection;
    private collectionName;
    constructor(init: {
        collectionName: string;
        textKey?: string;
        chromaClientParams?: ChromaClientParams;
    } & VectorStoreBaseParams);
    client(): ChromaClient;
    getCollection(): Promise<Collection>;
    private getDataToInsert;
    add(nodes: BaseNode[]): Promise<string[]>;
    delete(refDocId: string, deleteOptions?: ChromaDeleteOptions): Promise<void>;
    private transformChromaFilterCondition;
    private transformChromaFilterOperator;
    private toChromaFilter;
    query(query: VectorStoreQuery, options?: ChromaQueryOptions): Promise<VectorStoreQueryResult>;
}
export {};
