import type { BaseEmbedding } from "@llamaindex/core/embeddings";
import type { BaseNode } from "@llamaindex/core/schema";
import { BaseVectorStore, type VectorStoreBaseParams, type VectorStoreQuery, type VectorStoreQueryResult } from "./types.js";
type MetadataValue = Record<string, any>;
declare class SimpleVectorStoreData {
    embeddingDict: Record<string, number[]>;
    textIdToRefDocId: Record<string, string>;
    metadataDict: Record<string, MetadataValue>;
}
export declare class SimpleVectorStore extends BaseVectorStore {
    storesText: boolean;
    private data;
    private persistPath;
    constructor(init?: {
        data?: SimpleVectorStoreData | undefined;
    } & VectorStoreBaseParams);
    static fromPersistDir(persistDir?: string, embedModel?: BaseEmbedding): Promise<SimpleVectorStore>;
    client(): null;
    get(textId: string): Promise<number[]>;
    add(embeddingResults: BaseNode[]): Promise<string[]>;
    delete(refDocId: string): Promise<void>;
    private filterNodes;
    query(query: VectorStoreQuery): Promise<VectorStoreQueryResult>;
    persist(persistPath?: string): Promise<void>;
    protected static persistData(persistPath: string, data: SimpleVectorStoreData): Promise<void>;
    static fromPersistPath(persistPath: string, embeddingModel?: BaseEmbedding): Promise<SimpleVectorStore>;
    static fromDict(saveDict: SimpleVectorStoreData, embeddingModel?: BaseEmbedding): SimpleVectorStore;
    toDict(): SimpleVectorStoreData;
}
export {};
